Subject: Re: convolvotrons

From: [email-masked] (Lance Norskog)
Date: Tue, 17 Mar 92 09:35:20 PST

On Mar 11,  9:27am, Dave Stampe-Psy+Eng wrote:
} 
} In theory (at least) about 200 or so points will cover the "perceptual
} sphere" that sounds can originate from to a delay accuracy of 20 uS
} (1 sample).  You could store 200 examples of each sound for various
} angles... Nahhh.
} 
Digital mixing at sound speeds is easy.  You could store X number
of octants on the sphere and interpolate from the neighboring few
points.  Now all you need is a batch system to pregenerate these
base samples.  On ems.media.mit.edu is a program suite 'PV',
I think pv.tar.Z, which includes a time->frequency->time library
and a bunch of programs that use it.  

There's a CCRMA (Stanford U computer music center) tech report
that I've been meaning to get on "waveguides", which I think is 
a cheap method of reverberation.   The reverb treatments I've
read involve analog filtering which we can't do in real-time.

With preplaced samples, easy reverb, and the horizontal placement
stuff we mentioned (volume, phasing, Doppler) you could do a
good job at the level of the Focal Point product.

Lance Norskog